body,
html {
  height: 100vh;
  background-color: #1a202b;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  color: white;
}

.CodeMirror {
  height: 100%;
  font-size: 16px;
}

#python-out {
  height: 100%;
  overflow-y: auto;
  font-size: 16px;
  background-color: #16161e;
  padding-left: 15px;
  padding-top: 10px;
  box-sizing: border-box;
  color: lightgreen;
  font-family: "Fira Code", monospace;
  /*animation-duration: 1.0s;
    animation-name: colorthing;
    animation-iteration-count: infinite;
    animation-direction: alternate;*/
}

pre {
  white-space: pre-wrap; /* Since CSS 2.1 */
  white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
  white-space: -pre-wrap; /* Opera 4-6 */
  white-space: -o-pre-wrap; /* Opera 7 */
  word-wrap: break-word; /* Internet Explorer 5.5+ */
  margin: 0;
  padding: 0;
}

p {
  margin: 0;
  padding: 0;
}

#page-container {
  display: flex;
  flex-flow: column nowrap;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 10px;
}

#page-header {
  height: 60px;
  color: white;
  display: flex;
  align-items: center;
  padding-top:.8rem;
}

img#logo-image {
  max-width: 170px;
}

#test-title-label {
  position: absolute;
  color: lightgrey;
  font-weight: bold;
  font-size: 14px;
  margin-top: 5px;
  right: 4px;
  top: 0;
}

#panel-container {
  display: flex;
  flex-direction: column;
  flex: 1 0;
  gap: 10px;
  overflow: auto;
  margin-top: -50px;
}

#panel1 {
  flex: 5;
}

#panel2 {
  flex: 6;
}

.panel {
  display: flex;
  flex-flow: row nowrap;
  gap: 10px;
}

.panel-header {
  /*background-color: #000060;*/
  height: 55px;
}

#panel-header-infos {
  display: flex;
  color: white;
  align-items: flex-end;
}

#titre-exercice {
  font-weight: bold;
  font-size: 18px;
  flex: 1;
}

.panel-content {
  color: white;
  background-color: #252e38;
  border: solid 1px;
  border-color: #44484d;
  flex: 1 0;
  overflow: auto;
}

#panel-content-instructions {
  padding: 10px;
}

#panel-content-code {
  flex: 1 0;
}

#panel-content-output {
  flex: 1 0;
}

#timer_and_score_infos {
  display: flex;
  flex-flow: column nowrap;
  align-items: flex-end;
  margin-right: 4px;
}

#timer {
  font-size: 20px;
  font-weight: bold;
  color: red;
}

#run-btn {
  /* height: 50px; */
  display: flex;
  align-items: center;
  /* padding: 0px 25px; */
}
.deep-orange {
    background-color: #ff803c !important;
}
.standard-info {
  font-size: 12px;
  font-weight: bold;
}

#panel-header-actions {
  display: flex;
  flex-flow: row nowrap;
  align-items: flex-end;
  justify-content: center;
}

#result-label {
  font-size: 16px;
  font-weight: bold;
  color: red;
  flex: 1;
  margin-bottom: 4px;
  margin-left: 12px;
}

#instructions {
  color: #e0e0e0;
}

span.instruction-subtitle {
  color: #00ff00;
  font-size: 20px;
}

span.code {
  color: white;
  background-color: black;
}

@media (max-width: 768px) {
  .panel {
    flex-flow: column nowrap;
  }
}
